Index: trunk/src/story_entities/game_world.cc
===================================================================
--- trunk/src/story_entities/game_world.cc	(revision 10523)
+++ trunk/src/story_entities/game_world.cc	(revision 10618)
@@ -27,9 +27,8 @@
 
 #include "player.h"
-#include "camera.h"
-#include "environment.h"
-#include "terrain.h"
-#include "test_entity.h"
-#include "terrain.h"
+#include "tools/camera.h"
+#include "tools/cameraman.h"
+#include "environments/environment.h"
+#include "environments/terrain.h"
 #include "playable.h"
 #include "environments/mapped_water.h"
@@ -193,13 +192,4 @@
   this->dataXML = (TiXmlElement*)root->Clone();
 
-  //remove this after finished testing !!!!
-  //Object* obj= new Object();
-  //obj->setName("Obj");
-  //Account* a = new Account();
-  //a->setName("a");
-  //Account *b = new Account(30);
-  //b->setName("b");
-
-
   LoadParamXML(root, "ScriptManager", &this->scriptManager, ScriptManager, loadParams);
 
@@ -454,6 +444,5 @@
 
     // tick camera first
-    CameraMan* man = State::getCameraman();
-    (man->getCurrentCam())->tick(this->dtS);
+    (State::getCamera())->tick(this->dtS);
     // TICK everything
     for (i = 0; i < this->dataTank->tickLists.size(); ++i)
@@ -590,6 +579,6 @@
 void GameWorld::applyCameraSettings()
 {
-  CameraMan* man = State::getCameraman();
-  Camera* c = man->getCurrentCam();
+  Camera* c = State::getCamera();
+
   if( c != NULL)
   {
Index: trunk/src/story_entities/game_world.h
===================================================================
--- trunk/src/story_entities/game_world.h	(revision 10523)
+++ trunk/src/story_entities/game_world.h	(revision 10618)
@@ -56,5 +56,6 @@
   inline double getGameTime() { return this->gameTime; }
   /** sets the game speed @param speed speed of the Game */
-  inline void setSpeed(float speed) { this->speed = speed; };
+  inline void setSpeed(float speed) { this->speed = speed; }
+  inline float getSpeed(){ return this->speed; }
   /**  returns the track path of this world @returns the track path */
 
Index: trunk/src/story_entities/game_world_data.cc
===================================================================
--- trunk/src/story_entities/game_world_data.cc	(revision 10523)
+++ trunk/src/story_entities/game_world_data.cc	(revision 10618)
@@ -29,8 +29,8 @@
 #include "world_entity.h"
 #include "player.h"
-#include "camera.h"
-#include "cameraman.h"
-#include "terrain.h"
-#include "skybox.h"
+#include "tools/camera.h"
+#include "tools/cameraman.h"
+#include "environments/terrain.h"
+#include "environments/skybox.h"
 #include "md2/md2Model.h"
 #include "world_entities/projectiles/projectile.h"
@@ -101,5 +101,5 @@
   PNode::getNullParent();
   Camera* localCamera = new Camera();
-    localCamera->setName ("GameWorld-Camera");
+    localCamera->setName ("GameWorldCamera");
   State::setCamera(localCamera, localCamera->getTarget());
   //CameraMan* camMan = new CameraMan();
@@ -205,4 +205,8 @@
 
     glmis->setBackgroundImage("textures/load_screens/default.jpg");
+    glmis->setPosScale(0.0,0.0,1.0,1.0);
+    glmis->setBarImage("textures/load_screens/default_bar.png");
+    glmis->setBarPosScale(0.65,0.87,0.3,0.05);
+
     this->glmis->setMaximum(8);
     //     this->glmis->draw();
Index: trunk/src/story_entities/menu/game_menu.cc
===================================================================
--- trunk/src/story_entities/menu/game_menu.cc	(revision 10523)
+++ trunk/src/story_entities/menu/game_menu.cc	(revision 10618)
@@ -27,5 +27,5 @@
 
 #include "graphics_engine.h"
-#include "camera.h"
+#include "tools/camera.h"
 #include "sound_engine.h"
 
Index: trunk/src/story_entities/multi_player_world_data.cc
===================================================================
--- trunk/src/story_entities/multi_player_world_data.cc	(revision 10523)
+++ trunk/src/story_entities/multi_player_world_data.cc	(revision 10618)
@@ -27,10 +27,7 @@
 #include "world_entity.h"
 #include "player.h"
-#include "camera.h"
-#include "environment.h"
-#include "terrain.h"
-#include "test_entity.h"
-#include "terrain.h"
-#include "md2/md2Model.h"
+#include "tools/camera.h"
+#include "environments/environment.h"
+#include "environments/terrain.h"
 #include "world_entities/projectiles/projectile.h"
 #include "npcs/npc_test1.h"
